Bug 1273462 - Document how to provision arbitrary hiera data using *ExtraConfig
Document how to provision arbitrary hiera data using *ExtraConfig
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: y2
: 7.0 (Kilo)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On: 1245737
Blocks: 1278721
  Show dependency treegraph
 
Reported: 2015-10-20 09:30 EDT by Giulio Fidente
Modified: 2015-12-17 20:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 20:27:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio Fidente 2015-10-20 09:30:41 EDT
Description of problem:
we have a number of parameters which allow for provisioning of arbitrary hiera data to the nodes.

controllerExtraConfig
NovaComputeExtraConfig
ExtraConfig

the first two are for hiera data to be distributed on the relevant nodes, the latter for all nodes

I think it would be nice to document usage of these with a short example as it happens in the commit message of: https://review.openstack.org/#/c/197908/

These can be passed with a custom yaml containing;

  parameter_defaults:
    controllerExtraConfig:
      myclass::myparam: myvalue
Comment 2 Greg Jones 2015-10-20 09:34:00 EDT
Yes please.  ++1
Comment 4 Dan Macpherson 2015-11-20 00:49:05 EST
This is now live:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Modifying_Puppet_Configuration_Data.html

Giulio -- Does this suit your requirements? Anything else I should add?
Comment 5 Giulio Fidente 2015-11-20 05:43:38 EST
hi Dan, I think this is great! Thanks. In the future we can document how to include additional puppet classes or even deploy an additional .pp

I'm setting a needinfo for Cyril so he can help review this as well.
Comment 6 Cyril Lopez 2015-11-20 05:50:56 EST
NovaComputeExtraConfig and ExtraConfig doesn't work.
https://bugzilla.redhat.com/show_bug.cgi?id=1245737

Use have to use parameters instead of parameter_defaults.
Comment 11 Dan Macpherson 2015-12-17 20:27:14 EST
Thanks, Giulio! Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.